<template>
  <div class="relative h-full mt-16 group">
    <div class="relative overflow-hidden lg:rounded-xl">
      <img
        :src="`/mina-galleries/${slides[currentSlider]}`"
        alt="Hashportable gallery image"
        class="object-cover object-center w-full lg:h-[500px]"
      />

      <span
        class="absolute bottom-0 right-0 w-0 h-0 transition-all duration-500 ease-in-out transform translate-x-1/2 translate-y-1/2 rounded-full bg-primary mix-blend-multiply group-hover:w-[24rem] lg:group-hover:w-[40rem] group-hover:h-[24rem] lg:group-hover:h-[40rem]"
      ></span>
    </div>


    <div class="absolute inset-x-0 flex items-center justify-center bottom-4">
      <ul class="flex items-center justify-center px-4 py-3 rounded-full bg-secondary/75">
      <li v-for="(slide, index) in slides" :key="index" class="ml-2 first:ml-0">
        <a
          href="#"
          @click.prevent="currentSlider = index"
          class="block w-3 h-3 transition-all duration-300 bg-white rounded-full hover:bg-primary"
          :class="[
            {
              '!bg-primary': currentSlider === index,
            },
          ]"
        ></a>
      </li>
    </ul>
    </div>

    <button
      v-if="currentSlider > 0"
      @click.prevent="prevSlider()"
      class="absolute flex items-center justify-center w-10 h-10 text-white transition-all duration-200 ease-in-out transform -translate-y-1/2 rounded-full left-3 top-1/2 bg-secondary/75 hover:bg-secondary hover:text-primary"
    >
      <svg
        xmlns="http://www.w3.org/2000/svg"
        fill="none"
        viewBox="0 0 24 24"
        stroke-width="3"
        stroke="currentColor"
        class="w-6 h-6 -ml-1"
      >
        <path
          stroke-linecap="round"
          stroke-linejoin="round"
          d="M15.75 19.5L8.25 12l7.5-7.5"
        />
      </svg>
    </button>

    <button
      v-if="currentSlider < slides.length - 1"
      @click.prevent="nextSlider()"
      class="absolute flex items-center justify-center w-10 h-10 text-white transition-all duration-200 ease-in-out transform -translate-y-1/2 rounded-full right-3 top-1/2 bg-secondary/75 hover:bg-secondary hover:text-primary"
    >
      <svg
        xmlns="http://www.w3.org/2000/svg"
        fill="none"
        viewBox="0 0 24 24"
        stroke-width="3"
        stroke="currentColor"
        class="w-6 h-6 -mr-1"
      >
        <path
          stroke-linecap="round"
          stroke-linejoin="round"
          d="M8.25 4.5l7.5 7.5-7.5 7.5"
        />
      </svg>
    </button>
  </div>
</template>

<script>
export default {
  name: 'SliderComponent',
  props: {
    slides: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      currentSlider: 0,
    }
  },
  methods: {
    prevSlider() {
      if (this.currentSlider > 0) {
        this.currentSlider = this.currentSlider - 1
      }
    },

    nextSlider() {
      if (this.currentSlider < this.slides.length - 1) {
        this.currentSlider = this.currentSlider + 1
      }
    },
  },
}
</script>
 